Bug 131530 - FILEOPEN: Hang at import time
Summary: FILEOPEN: Hang at import time
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Jan-Marek Glogowski
URL:
Whiteboard: target:7.0.0
Keywords: bibisected, bisected, perf, regression
Depends on:
Blocks:
 
Reported: 2020-03-24 12:31 UTC by Xisco Faulí
Modified: 2020-05-11 11:22 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-03-24 12:31:24 UTC
Steps to reproduce:
1. Open attachment 52901 [details] from bug 42371

-> it hangs forever

Reproduced in

Version: 7.0.0.0.alpha0+
Build ID: fd1cd5522283f279a01d6d673f676a1346e9358b
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-03-24 12:32:49 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=24caeee8236576abd92086974c1dbbf15b81a4c5

author	Jan-Marek Glogowski <jan-marek.glogowski@extern.cib.de>	2019-12-08 17:33:53 +0000
committer	Jan-Marek Glogowski <glogow@fbihome.de>	2020-02-28 10:34:58 +0100
commit	24caeee8236576abd92086974c1dbbf15b81a4c5 (patch)
tree	830dad26ab3fe7d48d4c068b696ce91c26f506e2
parent	8bda8ad7c0e48867c2abe44e0e84c0d86187f9ff (diff)
Refactor a bit of the footnote handling code

Bisected with: bibisect-linux64-6.5

Adding Cc: to Jan-Marek Glogowski
Comment 2 Jan-Marek Glogowski 2020-03-24 18:52:40 UTC
Yeah - just a bit of refactoring, and still C'n'P bug :-(

Patch: https://gerrit.libreoffice.org/c/core/+/91004
Comment 3 Commit Notification 2020-03-24 20:01:37 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/642cdf2d8341f0b202f01718ccb63ac1b976e18e

tdf#131530 keep prepending footnote frame

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2020-03-30 13:51:58 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: 11e6582b23b983fde4b04ece5b37c546bcd98a43
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Jan-marek, thanks for fixing this issue!!
Comment 5 Timur 2020-05-11 11:22:50 UTC
Another one affected is 819-pages ODT attachment 121138 [details] from bug 96337 and bug 129529 and bug 130822, that doesn't freeze with master.